%define module  Flickr-Upload
%define name    perl-%{module}
%define version 1.30
%define release %mkrel 1

Summary:	Upload images to flickr.com
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:     http://www.cpan.org/modules/by-module/Flickr/%{module}-%{version}.tar.gz
BuildRequires:	perl-XML-Parser-Lite-Tree
BuildRequires:	perl-Flickr-API
BuildRequires:	perl-libwww-perl
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Upload an image to flickr.com

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std
# Should be in a new package as it requires additionnal libs
rm -f %{buildroot}%{_bindir}/thickr_upload

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog 
%{perl_vendorlib}/Flickr
%{perl_vendorlib}/auto/Flickr
%{_mandir}/*/*
%{_bindir}/flickr_upload


%changelog
* Tue Mar 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-1mdv2008.1
+ Revision: 185152
- new version
  drop patch 0, merged upstream

* Sat Mar 08 2008 Pascal Terjan <pterjan@mandriva.org> 1.29-3mdv2008.1
+ Revision: 182097
- Fix handling of gzipped responses

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-2mdv2008.0
+ Revision: 90053
- rebuild

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-1mdv2008.0
+ Revision: 48066
- new version

  + Pascal Terjan <pterjan@mandriva.org>
    - 1.28

* Fri Apr 20 2007 Pascal Terjan <pterjan@mandriva.org> 1.25-1mdv2008.0
+ Revision: 15219
- 1.25
- use mkrel


* Wed Feb 08 2006 Pascal Terjan <pterjan@mandriva.org> 1.22-2mdk
- BuildRequires perl-libwww-perl for make test

* Wed Aug 31 2005 Pascal Terjan <pterjan@mandriva.org> 1.22-1mdk
- 1.22

* Sat Aug 20 2005 Pascal Terjan <pterjan@mandriva.org> 1.18-1mdk
- First version of the package

